/*
 * Counting the number of rotation of motors based on encoder signals.
 *
 * Author: BLADOWSKI Jakub
 * S4 Project 63: Follower Robot
 * Telecom Bretagne
 * February - June 2015
 */

#ifndef encoders_h
#define encoders_h

#include <Arduino.h>

void setup_encoding();
void reset_encoding();
void encoder_interrupt_M1();
void encoder_interrupt_M2();
void encoder_interrupt_M3();
int get_encoding(int motor);

#endif
