/*
 * High-level commands for wheel control.
 *
 * Author: BLADOWSKI Jakub
 * S4 Project 63: Follower Robot
 * Telecom Bretagne
 * February - June 2015
 */

#ifndef movement_h
#define movement_h

#include "motors.h"

void command_displacement(float distance_m, float angle);
void command_rotation(float angle);
void command_halt();
bool condition_stop_displacement();
bool condition_stop_rotation();
void stop_displacement();
void stop_rotation();
float desired_tps(int motor);

#endif
