/*
 * PID control of wheel speed.
 *
 * Author: BLADOWSKI Jakub
 * S4 Project 63: Follower Robot
 * Telecom Bretagne
 * February - June 2015
 */

#ifndef pid_h
#define pid_h

#include "encoders.h"
#include "movement.h"

void setup_pid();
bool condition_pid_tic();
void pid_tic();
void pid_control(int motor);
void disable_pid();

#endif
